#install.sh
#Install command for cirus
MYPATH="/tmp/spreader"

dos2unix $MYPATH/spreader.py
cp $MYPATH/spreader.py /var/data/reports/scripts/

cp $MYPATH/report51.sh /var/data/reports/scripts/
cp $MYPATH/report52.sh /var/data/reports/scripts/
cp $MYPATH/report1021.sh /var/data/reports/scripts/
cp $MYPATH/report99.sh /var/data/reports/scripts/

chmod u+x /var/data/reports/scripts/report51.sh
chmod u+x /var/data/reports/scripts/report52.sh
chmod u+x /var/data/reports/scripts/report1021.sh
chmod u+x /var/data/reports/scripts/report99.sh

#if spreader data doesn't exist yet create it by calling report99.sh
if [ ! -e "/var/data/reports/scripts/spreader_data.txt" ]; then
	touch /tmp/SeasonalReset
	/var/data/reports/scripts/report99.sh
fi

#Configure CTM-200

cmd vccreport 3 51
cmd vcccond 3 2 8 1800

cmd igncond 7 1                 # Off
cmd ignreport 7 51              # report501.sh
cmd igncond 8 2                 # on
cmd ignreport 8 52              # report502.sh

cmd reptype 51 0 3 0 0 500      # Report type setup
cmd reptype 52 0 3 0 0 500      # Report type setup

cmd port 1 19200 8 n 1 0
cmd mode 24 0

cmd aux mode 0
cmd aux datatype 0
cmd aux leadlen 2
cmd aux lead2len 0
cmd aux leadmode 1
cmd aux leadterm 2
cmd aux len 0
cmd aux dev EPO
cmd aux polltim 0 1200 0
cmd aux term 0D 0A
cmd aux cond 1 0 0 0
cmd aux termlen 2

cmd gpsdelmes 2 0
cmd gpsaddmes 2 114 1000 119 0
cmd gpscond 2 2 60 1000 0 0 30 5 5
cmd gpsremip 2 vue.name
#cmd gpsremip 2 cypressvue.com
cmd gpsremport 2 8300
cmd gpsrep 2 0 3 1 1 3000

cmd pcyp msg add 1000 USR_STR_1
cmd pcyp msg add 1000 USR_STR_2
cmd pcyp msg add 1000 USR_STR_3
cmd pcyp msg add 1000 USR_STR_4

cmd reportscripts 1

cmd repdelmes 99 0 	
cmd repaddmes 99 114 1500   		
cmd repremip 99 vue.name
#cmd repremip 99 cypressvue.com
cmd repremport 99 8300
cmd reptype 99 0 3 1 0 3000
cmd pcyp msg add 1500 USR_STR_3


cmd save

cmd event add EPOKE_INSTALL_OK
